require("lazy").setup({
	{ "bluz71/vim-nightfly-colors", name = "nightfly", lazy = false, priority = 1000 },
	{ "nvim-lua/plenary.nvim" },
	{
		"ray-x/guihua.lua",
		build = "cd lua/fzy && make",
	},
	{
		"neovim/nvim-lspconfig",
		dependencies = { "saghen/blink.cmp" },
	},
	{ "Snyssfx/goerr-nvim" },
	require("plugins.apidocs"),
	require("plugins.todo"),
	require("plugins.codecompanion"),
	require("plugins.resize"),
	require("plugins.blankline"),
	require("plugins.headlines"),
	require("plugins.lsp_saga"),
	require("plugins.lsp_signature"),
	require("plugins.autosave"),
	require("plugins.cmp"),
	require("plugins.treesitter"),
	require("plugins.tree"),
	require("plugins.conform"),
	require("plugins.dapui"),
	require("plugins.dap"),
	require("plugins.dap_go"),
	require("plugins.go"),
	require("plugins.goimpl"),
	require("plugins.lualine"),
	require("plugins.telescope"),
	require("plugins.columns"),
	require("plugins.zk"),
}, {
	performance = {
		rtp = {
			disabled_plugins = {
				"gzip",
				"matchit",
				"matchparen",
				"netrwPlugin",
				"tarPlugin",
				"tohtml",
				"tutor",
				"zipPlugin",
			},
		},
	},
})
